Bug 193597 - cluster mirroring doesn't work with GULM
cluster mirroring doesn't work with GULM
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-30 16:51 EDT by Corey Marthaler
Modified: 2010-01-11 20:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-02 12:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-05-30 16:51:04 EDT
Description of problem:
The init script only checks for a cman cluster:

        if ! [ -e /proc/cluster/status ]; then
                failure "cman has not been properly started."
                echo
                return 0
        fi

Even when I loaded the cmirror module by hand with a gulm cluster running, the
creation still only appeared to want to talk to cman:

device-mapper: Couldn't register clustered_log service
device-mapper: Unable to connect to cluster infrastructure.
device-mapper: dm-mirror: Error creating mirror dirty log

Version-Release number of selected component (if applicable):
[root@taft-03 ~]# rpm -qa  | grep lvm
lvm2-cluster-2.02.06-1.0.RHEL4
lvm2-cluster-debuginfo-2.02.01-1.2.RHEL4
lvm2-2.02.06-3.0.RHEL4
Comment 1 Jonathan Earl Brassow 2006-06-02 12:15:16 EDT
This will never be fixed.

The cluster mirror code will be rewritten soon to use the upcoming cluster
infrastructure, which still will not use GULM

Note You need to log in before you can comment on or make changes to this bug.